source: general/graphlib/poppler.xml@ 77a8b67

11.0 11.1 11.2 lazarus plabs/python-mods qt5new trunk upgradedb xry111/intltool xry111/soup3 xry111/test-20220226
Last change on this file since 77a8b67 was 77a8b67, checked in by Bruce Dubbs <bdubbs@…>, 18 months ago

Package updates.
Update to udisks-2.9.3.
Update to poppler-21.08.0.
Update to jasper-2.0.33.

  • Property mode set to 100644
File size: 16.2 KB
Line 
1<?xml version="1.0" encoding="ISO-8859-1"?>
2<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
3 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
4 <!ENTITY % general-entities SYSTEM "../../general.ent">
5 %general-entities;
6
7 <!ENTITY poppler-download-http "https://poppler.freedesktop.org/poppler-&poppler-version;.tar.xz">
8 <!ENTITY poppler-download-ftp " ">
9 <!ENTITY poppler-md5sum "60d5be55cc080d602bf58daf6825b124">
10 <!ENTITY poppler-size "1.6 MB">
11 <!ENTITY poppler-buildsize "105 MB (with Qt5 library and tests)">
12 <!ENTITY poppler-time "0.7 SBU (with parallelism=4, Qt5 library, and tests)">
13 <!-- Time increase might be due to git.freedesktop.org -->
14
15 <!ENTITY poppler-data-version "0.4.10">
16
17 <!ENTITY poppler-data-download-http "https://poppler.freedesktop.org/poppler-data-&poppler-data-version;.tar.gz">
18 <!ENTITY poppler-data-md5sum "a7f15fb2f26c60a7a92093cfdf2378d5">
19 <!ENTITY poppler-data-size "4.3 MB">
20 <!ENTITY poppler-data-buildsize "25 MB">
21 <!ENTITY poppler-data-time "less than 0.1 SBU">
22]>
23
24<sect1 id="poppler" xreflabel="Poppler-&poppler-version;">
25 <?dbhtml filename="poppler.html"?>
26
27 <sect1info>
28 <date>$Date$</date>
29 </sect1info>
30
31 <title>Poppler-&poppler-version;</title>
32
33 <indexterm zone="poppler">
34 <primary sortas="a-Poppler">Poppler</primary>
35 </indexterm>
36
37 <sect2 role="package">
38 <title>Introduction to Poppler</title>
39
40 <para>
41 The <application>Poppler</application> package contains a PDF rendering
42 library and command line tools used to manipulate PDF files. This is
43 useful for providing PDF rendering functionality as a shared library.
44 </para>
45
46 &lfs101_checked;
47
48 <bridgehead renderas="sect3">Package Information</bridgehead>
49 <itemizedlist spacing="compact">
50 <listitem>
51 <para>
52 Download (HTTP): <ulink url="&poppler-download-http;"/>
53 </para>
54 </listitem>
55 <listitem>
56 <para>
57 Download (FTP): <ulink url="&poppler-download-ftp;"/>
58 </para>
59 </listitem>
60 <listitem>
61 <para>
62 Download MD5 sum: &poppler-md5sum;
63 </para>
64 </listitem>
65 <listitem>
66 <para>
67 Download size: &poppler-size;
68 </para>
69 </listitem>
70 <listitem>
71 <para>
72 Estimated disk space required: &poppler-buildsize;
73 </para>
74 </listitem>
75 <listitem>
76 <para>
77 Estimated build time: &poppler-time;
78 </para>
79 </listitem>
80 </itemizedlist>
81
82 <bridgehead renderas="sect3">Additional Downloads</bridgehead>
83
84 <itemizedlist spacing="compact">
85 <title>Poppler Encoding Data</title>
86 <listitem>
87 <para>
88 Download (HTTP): <ulink url="&poppler-data-download-http;"/>
89 </para>
90 </listitem>
91 <listitem>
92 <para>
93 Download MD5 sum: &poppler-data-md5sum;
94 </para>
95 </listitem>
96 <listitem>
97 <para>
98 Download size: &poppler-data-size;
99 </para>
100 </listitem>
101 <listitem>
102 <para>
103 Estimated disk space required: &poppler-data-buildsize;
104 </para>
105 </listitem>
106 <listitem>
107 <para>
108 Estimated build time: &poppler-data-time;
109 </para>
110 </listitem>
111 </itemizedlist>
112
113 <para>
114 The additional package consists of encoding files for use with
115 <application>Poppler</application>. The encoding files are optional and
116 <application>Poppler</application> will automatically read them if they
117 are present. When installed, they enable
118 <application>Poppler</application> to render CJK and Cyrillic properly.
119 </para>
120
121 <bridgehead renderas="sect3">Poppler Dependencies</bridgehead>
122
123 <bridgehead renderas="sect4">Required</bridgehead>
124 <para role="required">
125 <xref linkend="cmake"/> and
126 <xref linkend="fontconfig"/>
127 </para>
128
129 <bridgehead renderas="sect4">Recommended</bridgehead>
130 <para role="recommended">
131 <xref linkend="boost"/>,
132 <xref linkend="cairo"/>,
133 <xref linkend="lcms2"/>,
134 <xref linkend="libjpeg"/>,
135 <xref linkend="libpng"/>,
136 <xref linkend="nss"/>, and
137 <xref linkend="openjpeg2"/>
138 </para>
139
140 <bridgehead renderas="sect4">Optional</bridgehead>
141 <para role="optional">
142 <xref linkend="curl"/>,
143 <xref linkend="gdk-pixbuf"/>,
144 <xref linkend="git"/> (for downloading test files),
145 <xref linkend="gobject-introspection"/>,
146 <xref linkend="gtk-doc"/>,
147 <xref linkend="pygments"/>,
148 <xref linkend="gtk3"/>,
149 <xref linkend="libtiff"/>, and
150 <xref linkend="qt5"/>
151 (required for PDF support in <xref role="nodep" linkend="okular5"/>)
152 </para>
153
154 <para condition="html" role="usernotes">
155 User Notes: <ulink url="&blfs-wiki;/poppler"/>
156 </para>
157 </sect2>
158
159 <sect2 role="installation">
160 <title>Installation of Poppler</title>
161
162 <para>
163 Install <application>Poppler</application> by running the following
164 commands:
165 </para>
166
167<screen><userinput>mkdir build &amp;&amp;
168cd build &amp;&amp;
169
170cmake -DCMAKE_BUILD_TYPE=Release \
171 -DCMAKE_INSTALL_PREFIX=/usr \
172 -DTESTDATADIR=$PWD/testfiles \
173 -DENABLE_UNSTABLE_API_ABI_HEADERS=ON \
174 .. &amp;&amp;
175make</userinput></screen>
176
177 <para>
178 In order to run the test suite, some testcases are needed and can
179 be obtained only from a git repository. The command to download
180 them is:
181<command>git clone --depth 1 git://git.freedesktop.org/git/poppler/test testfiles</command>.
182 Then issue: <command>LC_ALL=en_US.UTF-8 make test</command>.
183 </para>
184
185 <para>
186 Now, as the <systemitem class="username">root</systemitem> user:
187 </para>
188
189<screen role="root"><userinput>make install</userinput></screen>
190<!-- Seems makeinstall does the job now:
191 <para>
192 If you have Qt installed, again as the
193 <systemitem class="username">root</systemitem> user:
194 </para>
195
196<screen role="root"><userinput>make -C qt5 install &amp;&amp;
197install -m644 poppler-qt5.pc /usr/lib/pkgconfig</userinput></screen>
198-->
199 <para>
200 To install the documentation, run the following commands as
201 <systemitem class="username">root</systemitem>:
202 </para>
203
204<screen role="root"><userinput>install -v -m755 -d /usr/share/doc/poppler-&poppler-version; &amp;&amp;
205cp -vr ../glib/reference/html /usr/share/doc/poppler-&poppler-version;</userinput></screen>
206
207<!-- ==== Poppler Data ====== -->
208 <bridgehead renderas="sect3">Poppler Data</bridgehead>
209
210 <para>
211 If you downloaded the additional encoding data package, install it by
212 issuing the following commands:
213 </para>
214
215<screen><userinput>tar -xf ../../poppler-data-&poppler-data-version;.tar.gz &amp;&amp;
216cd poppler-data-&poppler-data-version;</userinput></screen>
217
218 <para>
219 Now, as the <systemitem class="username">root</systemitem> user:
220 </para>
221
222<screen role="root"><userinput>make prefix=/usr install</userinput></screen>
223
224 </sect2>
225
226 <sect2 role="commands">
227 <title>Command Explanations</title>
228
229 <para>
230 <parameter>-DCMAKE_BUILD_TYPE=Release</parameter>: This switch is used
231 to apply a higher level of compiler optimizations.
232 </para>
233
234 <para>
235 <parameter>-DTESTDATADIR=$PWD/testfiles</parameter>: Tells the test
236 programs where the auxiliary files are located.
237 </para>
238
239 <para>
240 <parameter>-DENABLE_UNSTABLE_API_ABI_HEADERS=ON</parameter>: Installs some old
241 <application>Xpdf</application> headers required by certain programs.
242 <!--(e.g. <application>Inkscape</application>).-->
243 </para>
244
245<!-- This was broken for me - Bruce
246 Still broken with 0.69.0 - Doug
247 Seems to work with 0.73.0 - Pierre
248 Works with 20.09.0 but without the
249 sed -i '1s/python/&3/' make-glib-api-docs
250 and pygments is required - Thomas
251-->
252 <para>
253 <option>-DENABLE_GTK_DOC=ON</option>: Use this parameter if
254 GTK-Doc and Pygments is installed and you wish to rebuild and install
255 the API documentation.
256 </para>
257
258 <para>
259 <option>-DENABLE_BOOST=OFF</option>: Use this parameter if you have
260 not installed <application>boost</application> (the Splash backend for
261 Qt5 recommends boost).
262 </para>
263
264 <para>
265 <command>LC_ALL=en_US.UTF-8 make test</command>: Runs the test suite.
266 The environment variable LC_ALL=en_US.UTF-8 is only needed if the
267 default locale does not include UTF-8.
268 </para>
269
270 </sect2>
271
272 <sect2 role="content">
273 <title>Contents</title>
274
275 <segmentedlist>
276 <segtitle>Installed Programs</segtitle>
277 <segtitle>Installed Libraries</segtitle>
278 <segtitle>Installed Directories</segtitle>
279
280 <seglistitem>
281 <seg>
282 pdfattach, pdfdetach, pdffonts, pdfimages, pdfinfo, pdfseparate,
283 pdfsig, pdftocairo, pdftohtml, pdftoppm, pdftops, pdftotext, and
284 pdfunite
285 </seg>
286 <seg>
287 libpoppler.so,
288 libpoppler-cpp.so,
289 libpoppler-glib.so, and
290 libpoppler-qt5.so
291 </seg>
292 <seg>
293 /usr/include/poppler,
294 /usr/share/poppler, and
295 /usr/share/doc/poppler-&poppler-version;
296 </seg>
297 </seglistitem>
298 </segmentedlist>
299
300 <variablelist>
301 <bridgehead renderas="sect3">Short Descriptions</bridgehead>
302 <?dbfo list-presentation="list"?>
303 <?dbhtml list-presentation="table"?>
304
305 <varlistentry id="pdfattach">
306 <term><command>pdfattach</command></term>
307 <listitem>
308 <para>
309 adds a new embedded file to an existing PDF file
310 </para>
311 <indexterm zone="poppler pdfattach">
312 <primary sortas="b-pdfattach">pdfattach</primary>
313 </indexterm>
314 </listitem>
315 </varlistentry>
316
317 <varlistentry id="pdfdetach">
318 <term><command>pdfdetach</command></term>
319 <listitem>
320 <para>
321 lists or extracts embedded files from PDF files
322 </para>
323 <indexterm zone="poppler pdfdetach">
324 <primary sortas="b-pdfdetach">pdfdetach</primary>
325 </indexterm>
326 </listitem>
327 </varlistentry>
328
329 <varlistentry id="pdffonts">
330 <term><command>pdffonts</command></term>
331 <listitem>
332 <para>
333 lists the fonts used in a PDF file along with various information
334 for each font
335 </para>
336 <indexterm zone="poppler pdffonts">
337 <primary sortas="b-pdffonts">pdffonts</primary>
338 </indexterm>
339 </listitem>
340 </varlistentry>
341
342 <varlistentry id="pdfimages">
343 <term><command>pdfimages</command></term>
344 <listitem>
345 <para>
346 saves images from a PDF file as PPM, PBM, or JPEG files
347 </para>
348 <indexterm zone="poppler pdfimages">
349 <primary sortas="b-pdfimages">pdfimages</primary>
350 </indexterm>
351 </listitem>
352 </varlistentry>
353
354 <varlistentry id="pdfinfo">
355 <term><command>pdfinfo</command></term>
356 <listitem>
357 <para>
358 prints the contents of the 'Info' dictionary (plus some other useful
359 information) from a PDF file
360 </para>
361 <indexterm zone="poppler pdfinfo">
362 <primary sortas="b-pdfinfo">pdfinfo</primary>
363 </indexterm>
364 </listitem>
365 </varlistentry>
366
367 <varlistentry id="pdfseparate">
368 <term><command>pdfseparate</command></term>
369 <listitem>
370 <para>
371 extracts single pages from a PDF file
372 </para>
373 <indexterm zone="poppler pdfseparate">
374 <primary sortas="b-pdseparate">pdfseparate</primary>
375 </indexterm>
376 </listitem>
377 </varlistentry>
378
379 <varlistentry id="pdfsig">
380 <term><command>pdfsig</command></term>
381 <listitem>
382 <para>
383 verifies the digital signatures in a PDF document
384 </para>
385 <indexterm zone="poppler pdfsig">
386 <primary sortas="b-pdseparate">pdfsig</primary>
387 </indexterm>
388 </listitem>
389 </varlistentry>
390
391 <varlistentry id="pdftocairo">
392 <term><command>pdftocairo</command></term>
393 <listitem>
394 <para>
395 converts a PDF file to one of several formats (PNG, JPEG, PDF, PS,
396 EPS, SVG) using the cairo output device of the poppler library
397 </para>
398 <indexterm zone="poppler pdftocairo">
399 <primary sortas="b-pdftocairo">pdftocairo</primary>
400 </indexterm>
401 </listitem>
402 </varlistentry>
403
404 <varlistentry id="pdftohtml">
405 <term><command>pdftohtml</command></term>
406 <listitem>
407 <para>
408 converts a PDF file to HTML
409 </para>
410 <indexterm zone="poppler pdftohtml">
411 <primary sortas="b-pdftohtml">pdftohtml</primary>
412 </indexterm>
413 </listitem>
414 </varlistentry>
415
416 <varlistentry id="pdftoppm">
417 <term><command>pdftoppm</command></term>
418 <listitem>
419 <para>
420 converts PDF files to PBM, PGM and PPM formats
421 </para>
422 <indexterm zone="poppler pdftoppm">
423 <primary sortas="b-pdftoppm">pdftoppm</primary>
424 </indexterm>
425 </listitem>
426 </varlistentry>
427
428 <varlistentry id="pdftops">
429 <term><command>pdftops</command></term>
430 <listitem>
431 <para>
432 converts PDF files to Postscript format
433 </para>
434 <indexterm zone="poppler pdftops">
435 <primary sortas="b-pdftops">pdftops</primary>
436 </indexterm>
437 </listitem>
438 </varlistentry>
439
440 <varlistentry id="pdftotext">
441 <term><command>pdftotext</command></term>
442 <listitem>
443 <para>
444 converts PDF files to plain text
445 </para>
446 <indexterm zone="poppler pdftotext">
447 <primary sortas="b-pdftotext">pdftotext</primary>
448 </indexterm>
449 </listitem>
450 </varlistentry>
451
452 <varlistentry id="pdfunite">
453 <term><command>pdfunite</command></term>
454 <listitem>
455 <para>
456 merges several PDF files, in the order of their occurrence on the
457 command line, to one PDF output file
458 </para>
459 <indexterm zone="poppler pdfunite">
460 <primary sortas="b-pdfunite">pdfunite</primary>
461 </indexterm>
462 </listitem>
463 </varlistentry>
464
465 <varlistentry id="libpoppler">
466 <term><filename class="libraryfile">libpoppler.so</filename></term>
467 <listitem>
468 <para>
469 contains the API functions to render PDF files
470 </para>
471 <indexterm zone="poppler libpoppler">
472 <primary sortas="c-libpoppler">libpoppler.so</primary>
473 </indexterm>
474 </listitem>
475 </varlistentry>
476
477 <varlistentry id="libpoppler-cpp">
478 <term><filename class="libraryfile">libpoppler-cpp.so</filename></term>
479 <listitem>
480 <para>
481 is a C++ backend for rendering PDF files
482 </para>
483 <indexterm zone="poppler libpoppler-cpp">
484 <primary sortas="c-libpoppler-cpp">libpoppler-cpp.so</primary>
485 </indexterm>
486 </listitem>
487 </varlistentry>
488
489 <varlistentry id="libpoppler-glib">
490 <term><filename class="libraryfile">libpoppler-glib.so</filename></term>
491 <listitem>
492 <para>
493 is a wrapper library used to interface the PDF rendering functions
494 with <application>GTK+</application>
495 </para>
496 <indexterm zone="poppler libpoppler-glib">
497 <primary sortas="c-libpoppler-glib">libpoppler-glib.so</primary>
498 </indexterm>
499 </listitem>
500 </varlistentry>
501
502 <varlistentry id="libpoppler-qt5">
503 <term><filename class="libraryfile">libpoppler-qt5.so</filename></term>
504 <listitem>
505 <para>
506 is a wrapper library used to interface the PDF rendering functions
507 with <application>Qt</application>5
508 </para>
509 <indexterm zone="poppler libpoppler-qt5">
510 <primary sortas="c-libpoppler-qt5">libpoppler-qt5.so</primary>
511 </indexterm>
512 </listitem>
513 </varlistentry>
514
515 </variablelist>
516
517 </sect2>
518
519</sect1>
Note: See TracBrowser for help on using the repository browser.